Package org.apache.commons.imaging.color

# Class ColorConversions

java.lang.Object
org.apache.commons.imaging.color.ColorConversions

public final class ColorConversions extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `convertCieLabToArgbTest(int cieL, int cieA, int cieB)`
  `static ColorCieLch`
  `convertCieLabToCieLch(double l, double a, double b)`
  `static ColorCieLch`
  `convertCieLabToCieLch(ColorCieLab cielab)`
  `static ColorDin99Lab`
  `convertCieLabToDin99bLab(double l, double a, double b)`
  `static ColorDin99Lab`
  `convertCieLabToDin99bLab(ColorCieLab cie)`
  `static ColorDin99Lab`
  `convertCieLabToDin99oLab(double l, double a, double b)`
  DIN99o.
  `static ColorDin99Lab`
  `convertCieLabToDin99oLab(ColorCieLab cie)`
  DIN99o.
  `static ColorXyz`
  `convertCieLabToXyz(double l, double a, double b)`
  `static ColorXyz`
  `convertCieLabToXyz(ColorCieLab cielab)`
  `static ColorCieLab`
  `convertCieLchToCieLab(double l, double c, double h)`
  `static ColorCieLab`
  `convertCieLchToCieLab(ColorCieLch cielch)`
  `static ColorXyz`
  `convertCieLuvToXyz(double l, double u, double v)`
  `static ColorXyz`
  `convertCieLuvToXyz(ColorCieLuv cielch)`
  `static ColorCmy`
  `convertCmykToCmy(double c, double m, double y, double k)`
  `static ColorCmy`
  `convertCmykToCmy(ColorCmyk cmyk)`
  `static int`
  `convertCmykToRgb(int c, int m, int y, int k)`
  `static int`
  `convertCmykToRgbAdobe(int sc, int sm, int sy, int sk)`
  `static ColorCmyk`
  `convertCmyToCmyk(ColorCmy cmy)`
  `static int`
  `convertCmyToRgb(ColorCmy cmy)`
  `static ColorCieLab`
  `convertDin99bLabToCieLab(double L99b, double a99b, double b99b)`
  `static ColorCieLab`
  `convertDin99bLabToCieLab(ColorDin99Lab dinb)`
  `static ColorCieLab`
  `convertDin99oLabToCieLab(double l99o, double a99o, double b99o)`
  DIN99o.
  `static ColorCieLab`
  `convertDin99oLabToCieLab(ColorDin99Lab dino)`
  DIN99o.
  `static int`
  `convertHslToRgb(double h, double s, double l)`
  `static int`
  `convertHslToRgb(ColorHsl hsl)`
  `static int`
  `convertHsvToRgb(double h, double s, double v)`
  `static int`
  `convertHsvToRgb(ColorHsv HSV)`
  `static ColorXyz`
  `convertHunterLabToXyz(double l, double a, double b)`
  `static ColorXyz`
  `convertHunterLabToXyz(ColorHunterLab cielab)`
  `static ColorCmy`
  `convertRgbToCmy(int rgb)`
  `static ColorHsl`
  `convertRgbToHsl(int rgb)`
  `static ColorHsv`
  `convertRgbToHsv(int rgb)`
  `static ColorXyz`
  `convertRgbToXyz(int rgb)`
  `static ColorCieLuv`
  `convertXuzToCieLuv(double x, double y, double z)`
  `static ColorCieLab`
  `convertXyzToCieLab(double x, double y, double z)`
  `static ColorCieLab`
  `convertXyzToCieLab(ColorXyz xyz)`
  `static ColorCieLuv`
  `convertXyzToCieLuv(ColorXyz xyz)`
  `static ColorHunterLab`
  `convertXyzToHunterLab(double x, double y, double z)`
  `static ColorHunterLab`
  `convertXyzToHunterLab(ColorXyz xyz)`
  `static int`
  `convertXyzToRgb(double x, double y, double z)`
  `static int`
  `convertXyzToRgb(ColorXyz xyz)`
  `static double`
  `degree2radian(double degree)`
  `static double`
  `radian2degree(double radian)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### convertCieLabToArgbTest

    public static int convertCieLabToArgbTest(int cieL, int cieA, int cieB)

  - ### convertCieLabToCieLch

    public static ColorCieLch convertCieLabToCieLch(ColorCieLab cielab)

  - ### convertCieLabToCieLch

    public static ColorCieLch convertCieLabToCieLch(double l, double a, double b)

  - ### convertCieLabToDin99bLab

    public static ColorDin99Lab convertCieLabToDin99bLab(ColorCieLab cie)

  - ### convertCieLabToDin99bLab

    public static ColorDin99Lab convertCieLabToDin99bLab(double l, double a, double b)

  - ### convertCieLabToDin99oLab

    public static ColorDin99Lab convertCieLabToDin99oLab(ColorCieLab cie)
    DIN99o.
    Parameters:
      `cie` - CIE color.
    Returns:
      CIELab colors converted to DIN99oLab color space.
    See Also:
      - https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

  - ### convertCieLabToDin99oLab

    public static ColorDin99Lab convertCieLabToDin99oLab(double l, double a, double b)
    DIN99o.
    Parameters:
      `l` - lightness of color.
      `a` - position between red and green.
      `b` - position between yellow and blue.
    Returns:
      CIBELab colors converted to DIN99oLab color space.
    See Also:
      - https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

  - ### convertCieLabToXyz

    public static ColorXyz convertCieLabToXyz(ColorCieLab cielab)

  - ### convertCieLabToXyz

    public static ColorXyz convertCieLabToXyz(double l, double a, double b)

  - ### convertCieLchToCieLab

    public static ColorCieLab convertCieLchToCieLab(ColorCieLch cielch)

  - ### convertCieLchToCieLab

    public static ColorCieLab convertCieLchToCieLab(double l, double c, double h)

  - ### convertCieLuvToXyz

    public static ColorXyz convertCieLuvToXyz(ColorCieLuv cielch)

  - ### convertCieLuvToXyz

    public static ColorXyz convertCieLuvToXyz(double l, double u, double v)

  - ### convertCmykToCmy

    public static ColorCmy convertCmykToCmy(ColorCmyk cmyk)

  - ### convertCmykToCmy

    public static ColorCmy convertCmykToCmy(double c, double m, double y, double k)

  - ### convertCmykToRgb

    public static int convertCmykToRgb(int c, int m, int y, int k)

  - ### convertCmykToRgbAdobe

    public static int convertCmykToRgbAdobe(int sc, int sm, int sy, int sk)

  - ### convertCmyToCmyk

    public static ColorCmyk convertCmyToCmyk(ColorCmy cmy)

  - ### convertCmyToRgb

    public static int convertCmyToRgb(ColorCmy cmy)

  - ### convertDin99bLabToCieLab

    public static ColorCieLab convertDin99bLabToCieLab(ColorDin99Lab dinb)

  - ### convertDin99bLabToCieLab

    public static ColorCieLab convertDin99bLabToCieLab(double L99b, double a99b, double b99b)

  - ### convertDin99oLabToCieLab

    public static ColorCieLab convertDin99oLabToCieLab(ColorDin99Lab dino)
    DIN99o.
    Parameters:
      `dino` - color in the DIN99 color space.
    Returns:
      DIN99o colors converted to CIELab color space.
    See Also:
      - https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

  - ### convertDin99oLabToCieLab

    public static ColorCieLab convertDin99oLabToCieLab(double l99o, double a99o, double b99o)
    DIN99o.
    Parameters:
      `l99o` - lightness of color.
      `a99o` - position between red and green.
      `b99o` - position between yellow and blue.
    Returns:
      DIN99o colors converted to CIELab color space.
    See Also:
      - https://de.wikipedia.org/w/index.php?title=Diskussion:DIN99-Farbraum

  - ### convertHslToRgb

    public static int convertHslToRgb(ColorHsl hsl)

  - ### convertHslToRgb

    public static int convertHslToRgb(double h, double s, double l)

  - ### convertHsvToRgb

    public static int convertHsvToRgb(ColorHsv HSV)

  - ### convertHsvToRgb

    public static int convertHsvToRgb(double h, double s, double v)

  - ### convertHunterLabToXyz

    public static ColorXyz convertHunterLabToXyz(ColorHunterLab cielab)

  - ### convertHunterLabToXyz

    public static ColorXyz convertHunterLabToXyz(double l, double a, double b)

  - ### convertRgbToCmy

    public static ColorCmy convertRgbToCmy(int rgb)

  - ### convertRgbToHsl

    public static ColorHsl convertRgbToHsl(int rgb)

  - ### convertRgbToHsv

    public static ColorHsv convertRgbToHsv(int rgb)

  - ### convertRgbToXyz

    public static ColorXyz convertRgbToXyz(int rgb)

  - ### convertXuzToCieLuv

    public static ColorCieLuv convertXuzToCieLuv(double x, double y, double z)

  - ### convertXyzToCieLab

    public static ColorCieLab convertXyzToCieLab(ColorXyz xyz)

  - ### convertXyzToCieLab

    public static ColorCieLab convertXyzToCieLab(double x, double y, double z)

  - ### convertXyzToCieLuv

    public static ColorCieLuv convertXyzToCieLuv(ColorXyz xyz)

  - ### convertXyzToHunterLab

    public static ColorHunterLab convertXyzToHunterLab(ColorXyz xyz)

  - ### convertXyzToHunterLab

    public static ColorHunterLab convertXyzToHunterLab(double x, double y, double z)

  - ### convertXyzToRgb

    public static int convertXyzToRgb(ColorXyz xyz)

  - ### convertXyzToRgb

    public static int convertXyzToRgb(double x, double y, double z)

  - ### degree2radian

    public static double degree2radian(double degree)

  - ### radian2degree

    public static double radian2degree(double radian)